App\Library\Amazon\Classes\Darkroom:
    xml_root_name: Darkroom
    properties:
        chemicals:
            expose: true
            access_type: public_method
            serialized_name: Chemicals
            accessor:
                getter: getChemicals
                setter: setChemicals
            type: string
        enlargers:
            expose: true
            access_type: public_method
            serialized_name: Enlargers
            accessor:
                getter: getEnlargers
                setter: setEnlargers
            type: string
        easels:
            expose: true
            access_type: public_method
            serialized_name: Easels
            accessor:
                getter: getEasels
                setter: setEasels
            type: string
        enlargingHeadAndAccessories:
            expose: true
            access_type: public_method
            serialized_name: EnlargingHeadAndAccessories
            accessor:
                getter: getEnlargingHeadAndAccessories
                setter: setEnlargingHeadAndAccessories
            type: string
        otherEnlargerAccessories:
            expose: true
            access_type: public_method
            serialized_name: OtherEnlargerAccessories
            accessor:
                getter: getOtherEnlargerAccessories
                setter: setOtherEnlargerAccessories
            type: string
        analyzersAndExposureMeters:
            expose: true
            access_type: public_method
            serialized_name: AnalyzersAndExposureMeters
            accessor:
                getter: getAnalyzersAndExposureMeters
                setter: setAnalyzersAndExposureMeters
            type: string
        safelightsAndAccessories:
            expose: true
            access_type: public_method
            serialized_name: SafelightsAndAccessories
            accessor:
                getter: getSafelightsAndAccessories
                setter: setSafelightsAndAccessories
            type: string
        airRegulators:
            expose: true
            access_type: public_method
            serialized_name: AirRegulators
            accessor:
                getter: getAirRegulators
                setter: setAirRegulators
            type: string
        waterControlsAndFilters:
            expose: true
            access_type: public_method
            serialized_name: WaterControlsAndFilters
            accessor:
                getter: getWaterControlsAndFilters
                setter: setWaterControlsAndFilters
            type: string
        sinksAndAccessories:
            expose: true
            access_type: public_method
            serialized_name: SinksAndAccessories
            accessor:
                getter: getSinksAndAccessories
                setter: setSinksAndAccessories
            type: string
        mixingEquipment:
            expose: true
            access_type: public_method
            serialized_name: MixingEquipment
            accessor:
                getter: getMixingEquipment
                setter: setMixingEquipment
            type: string
        generalDevelopingAndProcessingSupplies:
            expose: true
            access_type: public_method
            serialized_name: GeneralDevelopingAndProcessingSupplies
            accessor:
                getter: getGeneralDevelopingAndProcessingSupplies
                setter: setGeneralDevelopingAndProcessingSupplies
            type: string
        filmProcessingSupplies:
            expose: true
            access_type: public_method
            serialized_name: FilmProcessingSupplies
            accessor:
                getter: getFilmProcessingSupplies
                setter: setFilmProcessingSupplies
            type: string
        paperProcessingSupplies:
            expose: true
            access_type: public_method
            serialized_name: PaperProcessingSupplies
            accessor:
                getter: getPaperProcessingSupplies
                setter: setPaperProcessingSupplies
            type: string
        tabletopProcessingSupplies:
            expose: true
            access_type: public_method
            serialized_name: TabletopProcessingSupplies
            accessor:
                getter: getTabletopProcessingSupplies
                setter: setTabletopProcessingSupplies
            type: string
